## net.sf.saxon.serialize.charcode
Class ISO88591CharacterSet

    java.lang.Object
      net.sf.saxon.serialize.charcode.ISO88591CharacterSet

All Implemented Interfaces:
  CharacterSet

    public class ISO88591CharacterSet

extends Object
implements CharacterSet

This class defines properties of the ISO-8859-1 character set

Method Summary
`String` `getCanonicalName()` Get the preferred Java name of the character set.
`static ISO88591CharacterSet` `getInstance()`
`boolean` `inCharset(int c)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ISO88591CharacterSet getInstance()

### inCharset

    public final boolean inCharset(int c)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

### getCanonicalName

    public String getCanonicalName()

  Description copied from interface: `CharacterSet`
  Get the preferred Java name of the character set. Note that Java in many cases also supports a "historic name".

  Specified by:
    `getCanonicalName` in interface `CharacterSet`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.